Add url indicator to social panels
The only way to know what url is loaded is via page info, and that isn't the most obvious way to see what is loaded.  We should add a urlbar, IMO one that looks like the bar used for hovering over links, to show the loaded url to the user.  The problem is that would cover some area that might get used by providers.  Maybe it can fade away after a few seconds?